## tdemultimedia-trinity 14.1.5

=== arts/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( builder )
add_subdirectory( examples )
add_subdirectory( gui )
add_subdirectory( midi )
add_subdirectory( modules )
add_subdirectory( runtime )
add_subdirectory( tools )
