=== audiofile_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### arts_audiofile (library) ##################

tde_add_library( arts_audiofile SHARED AUTOMOC
  SOURCES
    audiofilearts.cpp audiofilePlayObjectI.cpp
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl ${AUDIOFILE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    audiofilearts.cpp audiofilearts.h
    audiofilearts.mcoptype audiofilearts.mcopclass
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/audiofilearts.idl
  DEPENDS audiofilearts.idl
)


##### other data ################################

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/audiofilearts.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/audiofilearts.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

install(
  FILES
    audiofilePlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts
)
