=== kappfinder-data/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB _multimedia_desktops RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.desktop )
list( SORT _multimedia_desktops )

tde_create_translated_desktop(
  SOURCE ${_multimedia_desktops}
  DESTINATION ${DATA_INSTALL_DIR}/kappfinder/apps/Multimedia
  PO_DIR kappfinder-data
)

tde_create_translated_desktop(
  SOURCE tde-multimedia-music.directory
  DESTINATION ${XDG_DIRECTORY_INSTALL_DIR}
  PO_DIR kappfinder-data
)

install(
  FILES tde-multimedia-music.menu
  DESTINATION ${XDG_MENU_INSTALL_DIR}/applications-merged
)
