=== kscd/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( libwm )
tde_install_icons( cdsmall DESTINATION ${DATA_INSTALL_DIR}/kscd/icons )
tde_install_icons( kscd )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/libkcddb
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTSC_LIBRARY_DIRS}
)


##### kcompactdisc (library) ####################

tde_add_library( kcompactdisc STATIC_PIC AUTOMOC
  SOURCES kcompactdisc.cpp
)


##### kscd (executable) #########################

tde_add_executable( kscd AUTOMOC
  SOURCES
    panel.ui kscd.cpp kscd.skel ledlamp.cpp
    docking.cpp bwlednum.cpp
    configWidget.cpp configWidgetUI.ui prefs.kcfgc cddbdlg.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared
    tdeio-shared tdeutils-shared tdetexteditor-shared
    kcddb-shared kcompactdisc-static workman-static
    ${CDROM_LIBRARIRES} ${CDAUDIO_LIBRARIES} ${FPE_LIBRARIES}
    ${ALSA_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( PROGRAMS workman2cddb.pl DESTINATION ${BIN_INSTALL_DIR} )

tde_create_translated_desktop(
  SOURCE kscd.desktop
  PO_DIR kscd-desktops
)

tde_create_translated_desktop(
  SOURCE xmcd.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
  PO_DIR kscd-desktops
)

install( FILES kscd.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES kscd.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles )

tde_create_translated_desktop(
  SOURCE audiocd_play.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR kscd-desktops
)
