=== libkcddb/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kcmcddb )
add_subdirectory( test )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcddb (library) ###########################

tde_add_library( kcddb SHARED AUTOMOC
  SOURCES
    cache.cpp cdinfo.cpp config.cpp client.cpp cddb.cpp lookup.cpp
    cddbplookup.cpp synccddbplookup.cpp asynccddbplookup.cpp httplookup.cpp
    synchttplookup.cpp asynchttplookup.cpp smtpsubmit.cpp
    asyncsmtpsubmit.cpp syncsmtpsubmit.cpp configbase.kcfgc
    submit.cpp sites.cpp httpsubmit.cpp asynchttpsubmit.cpp
    synchttpsubmit.cpp cdinfodialogbase.ui categories.cpp genres.cpp
    cdinfoencodingwidget.cpp cdinfoencodingwidgetbase.ui
  VERSION 1.0.0
  LINK
    tdecore-shared tdeio-shared tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    cache.h cdinfo.h client.h config.h cddb.h
    ${CMAKE_CURRENT_BINARY_DIR}/configbase.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcddb
)

install(FILES libkcddb.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
