=== noatun/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app )
add_subdirectory( library )
add_subdirectory( modules )
add_subdirectory( pics )
tde_install_icons( )


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/library
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tdeio
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### noatun20update (executable) ###############

tde_add_executable( noatun20update
  SOURCES
    noatun20update.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared
    tdeio-shared tdetexteditor-shared
  DESTINATION ${LIB_INSTALL_DIR}/tdeconf_update_bin
)


##### api #######################################

add_custom_target( noatun.api
  COMMAND ${CMAKE_COMMAND} -E make_directory
    ${CMAKE_CURRENT_BINARY_DIR}/apidocs/libnoatun
  COMMAND ${CMAKE_COMMAND} -E create_symlink
    ${TDE_HTML_DIR}/en/common
    ${CMAKE_CURRENT_BINARY_DIR}/apidocs/common
  COMMAND doxygen ${CMAKE_CURRENT_SOURCE_DIR}/noatun.api
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE noatun.desktop
  PO_DIR noatun-desktops
)

install( FILES noatun.upd DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )

install(
  FILES
    preset.dance preset.jazz preset.metal preset.trance preset.zero
  DESTINATION ${DATA_INSTALL_DIR}/noatun/eq.preset
)
