=== oggvorbis_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### liboggarts (module) #######################

tde_add_kpart( liboggarts AUTOMOC
  SOURCES
    oggarts.cpp oggPlayObject_impl.cpp
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl ${ARTS_LIBRARIES}
    ${VORBIS_LIBRARIES} ${VORBISFILE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    oggarts.cpp oggarts.h
    oggarts.mcoptype oggarts.mcopclass
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/oggarts.idl
  DEPENDS oggarts.idl
)


##### other data ################################

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/oggarts.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/oggarts.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

install(
  FILES
    oggPlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts
)
