=== tdeioslave/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( WITH_CDPARANOIA )
  if( NOT BUILD_KSCD )
    tde_message_fatal( "tdeioslave-audiocd can not be built without building kscd" )
  endif( )
  add_subdirectory( audiocd )
endif( WITH_CDPARANOIA )
