=== debian/changelog ===
tdemultimedia-trinity (4:14.1.5-1romtmmedia) universal; urgency=low

  * Applying kmix-UpdMixersForChange.patch
  * Applying xineThumbnail_disableAudio_CorrectHUE.patch
  * Removing dependency from libarts1-xine-trinity in tdemultimedia-trinity
    of the file control.

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

tdemultimedia-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
