## tdemultimedia-trinity 14.1.6~pre2

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre2-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 75ad1a0c17d4f47f3227608d974e50ece46f6cfa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 22:38:47 +0100
