## tdemultimedia-trinity 14.1.6~pre3

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f58a4fb5e556a0f08faa5ba50b3a6fddcb1253d3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 22:33:25 +0100
