## tdemultimedia-trinity 14.1.6~pre5

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9ea06f3b40f881d4d186381ed4ec94009a6a3596
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:26 +0100
