## tdemultimedia-trinity 14.1.6~pre9

=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 243f1415c9cc5ade65dc37ec17b3f127fedb7b9b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:00 +0100
