## tdemultimedia-trinity 14.1.6~pre10

=== kscd/libwm/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( audio )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)


##### workman (library) #########################

tde_add_library( workman STATIC_PIC
  SOURCES
    cddb.c cdinfo.c cdrom.c wm_helpers.c cdtext.c
    database.c index.c scsi.c cdda.c plat_linux_cdda.c plat_sun_cdda.c
    plat_aix.c plat_bsd386.c plat_freebsd.c plat_irix.c
    plat_linux.c plat_netbsd.c plat_svr4.c plat_ultrix.c plat_news.c
    plat_openbsd.c plat_sun.c plat_scor5.c
    drv_sony.c drv_toshiba.c
  EMBED
    workmanaudio-static
  LINK
    ${ALSA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
)
