=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre10-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for ecaf71aeadb1f4de6f7cb9146e5c8e99091167d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Jan 2026 22:34:08 +0100
