## tdemultimedia-trinity 14.1.6~pre12

=== kscd/libwm/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
   SOURCES
     cddb.c cdinfo.c cdrom.c wm_helpers.c cdtext.c
     database.c index.c scsi.c cdda.c plat_linux_cdda.c plat_sun_cdda.c
-    plat_aix.c plat_bsd386.c plat_freebsd.c plat_irix.c
+    plat_aix.c plat_bsd386.c plat_freebsd.c
     plat_linux.c plat_netbsd.c plat_svr4.c plat_ultrix.c plat_news.c
     plat_openbsd.c plat_sun.c plat_scor5.c
     drv_sony.c drv_toshiba.c
