=== debian/changelog ===
tdemultimedia-trinity (4:14.1.6~pre12-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 68591b20aaa7bbd3b32488e132bab47d3b544171
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Feb 2026 09:56:17 +0100
