## tdemultimedia-trinity 14.2.0~pre103

=== xine_artsplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( tools )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
  ${XINE_LIBRARY_DIRS}
)


##### arts_xine (library) #######################

tde_add_library( arts_xine SHARED AUTOMOC
  SOURCES
    xinePlayObject.cpp
    xinePlayObject_impl.cpp
    audio_fifo_out.c
  VERSION 0.0.0
  LINK
    mcop kmedia2_idl soundserver_idl artsflow artsflow_idl
    ${ARTS_LIBRARIES} ${XINE_LIBRARIES} ${XEXT_LIBRARIES} X11 ${CMAKE_THREAD_LIBS_INIT}
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    xinePlayObject.cpp xinePlayObject.h
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE}
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/xinePlayObject.idl
  DEPENDS xinePlayObject.idl
)


##### other data ################################

install(
  FILES
    xineAudioPlayObject.mcopclass
    xineVideoPlayObject.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)
