=== juk/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  FILES playing.png splash.png yahoo_credit.png
  DESTINATION ${DATA_INSTALL_DIR}/juk/pics
)
