=== kmix/pics/crystal/CMakeLists.txt ===
################################################################################
#  Copyright © 2024 Mavridis Philippe <mavridisf@gmail.com>                    #
#                                                                              #
#  This file is released under the GNU GPL version 3 or later.                 #
#  Improvements and feedback are welcome!                                      #
################################################################################

set(theme "crystal")

install(FILES audio-volume-error.png audio-volume-muted.png
              audio-volume-low.png audio-volume-medium.png
              audio-volume-high.png
        DESTINATION ${DATA_INSTALL_DIR}/kmix/pics/${theme})
