=== mpeglib/lib/input/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CDPARANOIA_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_input (library) ######################

tde_add_library( mpeg_input STATIC_PIC
  SOURCES
    inputStream.cpp fileInputStream.cpp
    inputPlugin.cpp
    cdromToc.cpp cdromRawAccess.cpp
    cdromInputStream.cpp
    bufferInputStream.cpp
    simpleRingBuffer.cpp
    cdromAccess.cpp inputDetector.cpp
    httpInputStream.cpp
    threadSafeInputStream.cpp
    cddaInputStream.cpp
    fileAccessWrapper.cpp
)


##### other data ################################

install(
  FILES
    inputStream.h fileInputStream.h
    inputPlugin.h
    cdromInputStream.h bufferInputStream.h
    inputDetector.h httpInputStream.h
    threadSafeInputStream.h cddaInputStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/input
)
