=== mpeglib/lib/output/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_output (library) #####################

tde_add_library( mpeg_output STATIC_PIC
  SOURCES
    outPlugin.cpp outputStream.cpp
    dspX11OutputStream.cpp
    windowOut.cpp
    audioTime.cpp
    audioData.cpp audioDataArray.cpp
    avSyncer.cpp performance.cpp
    artsOutputStream.cpp
    pluginInfo.cpp yuvDumper.cpp
    threadSafeOutputStream.cpp
)


##### other data ################################

install(
  FILES
    outputStream.h pluginInfo.h
    outPlugin.h dspX11OutputStream.h
    artsOutputStream.h audioTime.h
    avSyncer.h threadSafeOutputStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/output
)
