=== noatun/modules/kaiman/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( skins )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatun_kaiman (module) ####################

tde_add_kpart( noatun_kaiman AUTOMOC
  SOURCES
    noatunui.cpp
    style.cpp
    userinterface.cpp
    pref.cpp
  LINK
    tdeio-shared noatun-shared
    mcop qtmcop kmedia2_idl soundserver_idl
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    kaiman.plugin kaimanui.rc
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)
