=== noatun/modules/simple/CMakeLists.txt ===
#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/noatun/library
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatunsimple (module) #####################

tde_add_kpart( noatunsimple AUTOMOC
  SOURCES
    propertiesdialog.ui noatunui.cpp userinterface.cpp
  LINK
    tdeio-shared noatun-shared noatuncontrols-shared
    mcop qtmcop kmedia2_idl soundserver_idl artskde-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    simple.plugin simpleui.rc
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)
