=== debian/changelog ===
tdemultimedia-trinity (4:14.2.0~pre103-0ubuntu25.10.0+8) questing; urgency=low

  * Automated git build for 114bd783d7006faf3d3d1928e2092fd581ea2e19
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
